Bug 1283968 - pitivi-0.95 is available
Summary: pitivi-0.95 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pitivi
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elad Alfassa
QA Contact: Fedora Extras Quality Assurance
URL: https://phabricator.freedesktop.org/T...
Whiteboard:
Depends On: 1284269
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-20 12:15 UTC by Upstream Release Monitoring
Modified: 2015-12-02 21:50 UTC (History)
6 users (show)

Fixed In Version: pitivi-0.95-1.fc23
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 21:50:52 UTC


Attachments (Terms of Use)

Description Upstream Release Monitoring 2015-11-20 12:15:19 UTC
Latest upstream release: 0.95
Current version/release in rawhide: 0.94-5.fc24
URL: http://download.gnome.org/sources/pitivi/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 1 Upstream Release Monitoring 2015-11-20 12:15:37 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-bSopA3/pitivi.spec
return code:  22
stdout:
Getting http://ftp.gnome.org/pub/GNOME/sources/pitivi/0.94/pitivi-0.95.tar.xz to ./pitivi-0.95.tar.xz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 2 Elad Alfassa 2015-11-22 14:50:44 UTC
I'll update the package.

Comment 3 Elad Alfassa 2015-11-22 15:32:40 UTC
Well, of course that's not as easy as I thought it would be. We need gst-editing-services 1.6.x in Fedora before we can push an up-to-date pitivi.

Since I don't have access to the gst-editing-services package, I can't update it myself.

Comment 4 Upstream Release Monitoring 2015-11-23 09:41:20 UTC
wtaymans's pitivi-0.95-1.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=700929

Comment 5 Elad Alfassa 2015-11-23 19:22:50 UTC
I can see you submitted the update already, great. While your at it, can you please edit the update to mark it as fixing this specific bug, and also modify the spec file to remove the pygtk2 requirement? (pitivi is gtk3 nowdays)

https://bodhi.fedoraproject.org/updates/FEDORA-2015-f650bf16f0

Comment 6 Fedora Update System 2015-11-24 07:49:27 UTC
pitivi-0.95-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f650bf16f0

Comment 7 Upstream Release Monitoring 2015-11-24 08:13:29 UTC
wtaymans's pitivi-0.95-2.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=701157

Comment 8 Jean-François Fortin Tam 2015-11-25 16:19:09 UTC
The package in updates testing works, but it's missing "soft" dependencies:

- GnomeDesktop not found on the system
    -> file thumbnails provided by GNOME's thumbnailers
- Notify not found on the system
    -> enables visual notifications when rendering is complete

So this means "gnome-desktop3" and libnotify's python bindings (somehow I can't find what package this is?).

Comment 9 Elad Alfassa 2015-11-25 16:33:40 UTC
(In reply to Jean-François Fortin Tam from comment #8)
> libnotify's python bindings (somehow I can't find what package this is?).

There are no python bindings, this is a gobject-introspection enabled library.

Pitivi seems to require version 1.0 of the library, but Fedora only has 0.7. The latest version according to upstream git is 0.7.6

So please fix this upstream by changing line 391 in this file:
https://git.gnome.org/browse/pitivi/tree/pitivi/check.py#n391

To require 0.7

Similarly, in the same file, for GnomeDesktop, the version you want is 3.0

Comment 10 Fedora Update System 2015-12-02 21:50:49 UTC
pitivi-0.95-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.